﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;

namespace SilverlightApplication1
{
    public class ViewModel: INotifyPropertyChanged
    {
        private CategoryDataCollection data;
        public CategoryDataCollection data1;
        public CategoryDataCollection data2; 
        public CategoryDataCollection Data 
        {
            get {return data;}
            set 
            { 
                if (data != value)
                {
                    data = value;
                    OnPropertyChanged("Data");
                }
            }
        }
        public CategoryDataCollection Data1 
            {
            get {return data1;}
            set 
            { 
                if (data1 != value)
                {
                    data1 = value;
                    OnPropertyChanged("Data1");
                }
            }
        }
        public CategoryDataCollection Data2 
        {
            get {return data2;}
            set 
            { 
                if (data2 != value)
                {
                    data2 = value;
                    OnPropertyChanged("Data2");
                }
            }
        }

        private int _selectedIndex;
        public int SelectedIndex
        {
            get { return _selectedIndex; }
            set
            {
                if (_selectedIndex != value)
                {
                    _selectedIndex = value;
                    OnPropertyChanged("SelectedIndex");
                }
            }
        }
        private Visibility _chartVisibility;
        public Visibility ChartVisibility
        {
            get { return _chartVisibility; }
            set
            {
                if (_chartVisibility != value)
                {
                    _chartVisibility = value;
                    OnPropertyChanged("ChartVisibility");
                }
            }
        }
        private Random random = new Random();

        public ViewModel()
        {
            CreateData();
            SelectedIndex = 1;
            ChartVisibility = Visibility.Visible;
            Data.Visible = true;
            Data2.Visible = true;
            Data1.Visible = true;
        }
        private void CreateData()
        {
            Data = new CategoryDataCollection();
            Data1 = new CategoryDataCollection();
            Data2 = new CategoryDataCollection();
            for (int i = 0; i < 25; i++)
            {
                Data.Add(new CategoryDataPoint() { Label = "I" + i, Value = random.Next(15,100) });
                Data1.Add(new CategoryDataPoint() { Label = "I" + i, Value = random.Next(15,100) });
                Data2.Add(new CategoryDataPoint() { Label = "I" + i, Value = random.Next(15,100) });
            }
        }

        public event PropertyChangedEventHandler PropertyChanged;
        protected virtual void OnPropertyChanged(string propertyName)
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
            }
        }
    }

    public class ChartPoint
    {
        public string Label { get; set; }
        public int Value { get; set; }
    }
}
